ChangeSet 1.831.15.3, 2002/12/06 13:33:35-06:00, ahaas@airmail.net

[PATCH] C99 initializer for drivers/usb/image/hpusbscsi.h

Here's a patch for switching the file to use C99 initializers. The patch
is against 2.5.50.


diff -Nru a/drivers/usb/image/hpusbscsi.h b/drivers/usb/image/hpusbscsi.h
--- a/drivers/usb/image/hpusbscsi.h	Mon Dec  9 11:41:41 2002
+++ b/drivers/usb/image/hpusbscsi.h	Mon Dec  9 11:41:41 2002
@@ -65,22 +65,22 @@
 static void issue_request_sense (struct hpusbscsi *hpusbscsi);
 
 static Scsi_Host_Template hpusbscsi_scsi_host_template = {
-	name:           "hpusbscsi",
-	detect:		hpusbscsi_scsi_detect,
-//	release:	hpusbscsi_scsi_release,
-	queuecommand:	hpusbscsi_scsi_queuecommand,
+	.name			= "hpusbscsi",
+	.detect			= hpusbscsi_scsi_detect,
+//	.release		= hpusbscsi_scsi_release,
+	.queuecommand		= hpusbscsi_scsi_queuecommand,
 
-	eh_abort_handler:	hpusbscsi_scsi_abort,
-	eh_host_reset_handler:	hpusbscsi_scsi_host_reset,
+	.eh_abort_handler	= hpusbscsi_scsi_abort,
+	.eh_host_reset_handler	= hpusbscsi_scsi_host_reset,
 
-	sg_tablesize:		SG_ALL,
-	can_queue:		1,
-	this_id:		-1,
-	cmd_per_lun:		1,
-	present:		0,
-	unchecked_isa_dma:	FALSE,
-	use_clustering:		TRUE,
-	emulated:		TRUE
+	.sg_tablesize		= SG_ALL,
+	.can_queue		= 1,
+	.this_id		= -1,
+	.cmd_per_lun		= 1,
+	.present		= 0,
+	.unchecked_isa_dma	= FALSE,
+	.use_clustering		= TRUE,
+	.emulated		= TRUE
 };
 
 /* defines for internal driver state */
